require 'test/unit'

require 'rledger/ledger/post.rb'

class PostTest < Test::Unit::TestCase
  # def setup
  # end

  # def teardown
  # end

  def test_parse
    e1 = Post.new
    e1.parse("  voice:voice  100.00  ; comment")
    result =
      e1.item == "voice:voice" and
      e1.amount == "100.00" and
      e1.derived == false and
      e1.comment == "comment"
    assert result, "Parsing e1 failed"

    e2 = Post.new
    e2.parse("  voice ; comment")
    result = 
      e2.item == "voice" and
      e2.comment == "comment" and 
      e2.derived == true
    assert result, "Parsing e2 failed"

    e3 = Post.new
    e3.parse("  voice 100.00")
    result = 
      e3.item == "voice" and 
      e3.amount = "100.00" and 
      e3.derived == false
    assert result, "Parsing e3 failed"

    e4 = Post.new
    e4.parse("  voice 200.00 ; longer comment")
    result = 
      e4.comment == "longer comment"
    assert result, "Parsing e4 failed"

#     e1.parse(" new_voice ; new comment")
#     result =
#       e1.item == "new_voice" and
#       e1.amount == "" and
#       e1.derived == true and
#       e1.comment == "new comment"
#     assert result, "Setting e1 with parsing failed"
  end
end
