require 'test/unit'

require 'transactions/reconciliation.rb'

class ReconciliationTest < Test::Unit::TestCase
  # def setup
  # end

  # def teardown
  # end

  def test_parse_and_set
    r1 = Reconciliation.new
    r1.parse("!")
    assert r1.pending?

    r2 = Reconciliation.new
    r2.parse("?")
    assert r2.discarded?

    r3 = Reconciliation.new
    r3.parse("*")
    assert r3.reconciled!

    r4 = Reconciliation.new
    r4.parse("")
    assert r4.unknown?

    r2.pending!
    assert r2.pending?

    r2.reconciled!
    assert r2.reconciled?

    r2.discarded!
    assert r2.discarded!

    r2.unknown!
    assert r2.unknown?

    error = Reconciliation.new
    error.parse("a")
    assert error.unknown!
  end
end
